Bug 173412 - can't use a samba share for my collection?
Summary: can't use a samba share for my collection?
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Setup-Collections (show other bugs)
Version: 0.10.0
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-24 10:33 UTC by sts
Modified: 2022-01-20 16:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sts 2008-10-24 10:33:50 UTC
Version:           0.10.0-beta4 (using 4.1.2 (KDE 4.1.2) "release 48.1", KDE:KDE4:Factory:Desktop / openSUSE_11.0)
Compiler:          gcc
OS:                Linux (x86_64) release 2.6.25.16-0.1-default

I'm not sure it's a bug or a missing feature..

I can't select a samba share (smb) for my collection.
Comment 1 Claus Rebler 2008-11-22 13:37:08 UTC
that is a good idea i have the sam problem

i have a network-storage with a samba server

for example:
smb://network-storage/Pictures/

i will add/share this folder into digikam
Comment 2 caulier.gilles 2008-12-03 13:14:32 UTC
Are you tried to use digiKam 0.10.0-beta6 with the new Collection Settings dialog page done by Marcel :

http://www.flickr.com/photos/digikam/3038025046/sizes/o/

Gilles Caulier
Comment 3 Claus Rebler 2008-12-03 13:26:58 UTC
wow good news

i test the new feature at the afternoon

thx
Comment 4 Marcel Wiesweg 2008-12-23 15:24:14 UTC
Any feedback on this? Did it work?
Comment 5 caulier.gilles 2008-12-25 14:27:22 UTC
Claus,

digiKam 0.10.0-beta7 is out. Please, give me us a fresh feedback. Thanks in advance

Gilles Caulier
Comment 6 Claus Rebler 2009-01-09 19:06:28 UTC
Sorry my network makes problems

i think i have a zeroconfig problem. i cant connect to the samba network

when i repair the connection i report to you if it works
Comment 7 sts 2009-01-21 12:10:33 UTC
here it doesn't work with beta8.
Comment 8 caulier.gilles 2009-01-21 12:12:40 UTC
Why it doesn't work ? Give us more details...

Gilles Caulier
Comment 9 sts 2009-01-21 15:02:10 UTC
start digikam -> open preferences -> select add network folder type: smb://192.168.1.122/Online/ and select ok.
He ask me about username and password.. -> He means can't find folder or no read access..
Comment 10 Marcel Wiesweg 2009-01-21 17:39:24 UTC
Mount your share natively, e.g. look here
https://help.ubuntu.com/community/MountWindowsSharesPermanently
or use your distribution's tools for this.
Using the KDE smb ioslave is a much different situations for developing the code - would require downloading everything to temp files and stuff, because all native libs dont support it.
Comment 11 sts 2009-01-23 13:26:41 UTC
With 'mount' it works fine. Maybe you can add a note for this restriction.
Comment 12 caulier.gilles 2009-01-23 14:00:08 UTC
Agree.

Marcel, it's fine to do it. i18n freeze announce is not yet done.

Gilles Caulier
Comment 13 Marcel Wiesweg 2009-01-23 17:22:05 UTC
SVN commit 915727 by mwiesweg:

Add a clause making clear that Samba shares need to be natively mounted, smb:// ioslave
does not work.
This is not valid for Windows, the implementation situation for Solid is unclear
there as well, so don't show the whole note on Windows.

BUG: 173412

 M  +10 -1     digikam/digikamfirstrun.cpp  
 M  +9 -2      utilities/setup/setupcollections.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=915727
Comment 14 Claus Rebler 2009-01-24 07:59:53 UTC
problem i give the path

smb://192.168.1.101/picture

and the programm doesn't accept the path
Comment 15 caulier.gilles 2009-01-24 09:03:37 UTC
Claus,

Look comment #10 from Marcel.

Gilles